Loading...
Searching...
No Matches
Timer Class Reference

Simple time tracking class. More...

`#include <timer.h>`

Collaboration diagram for Timer:

## Public Member Functions

void | start ()
| Initialise the timer's starting time.
void | stop ()
| Disable the the timer reporting a time out.
bool | check_timeout (unsigned int elapsed)
| Return `true` if some number of seconds have elapsed since `timer_start()`.
bool | check_timeout_ms (unsigned long elapsedms)
| Return `true` if some number of milliseconds have elapsed since `timer_start()`.

## Detailed Description

Simple time tracking class.